int opendir(const char *name)

## Method Description

This method is used to open a directory.
Important note: The library makes all browse operations transparent by using directories. So, 'smb://' or 'smb://workgroup' for example, are perfectly valid directories!

name is a full URL. It should correspond to a directory.

This method returns a directory descriptor, which can be used only for this library functions. Do not use standard functions with these descriptors.

On error, -1 is returned and error() will return the corresponding error code.

## See also :

Reads from an "opened" directory descriptor. Does caching.
SMBdirent *readdir(int dirdesc)

Close the directory associated with this file descriptor
int closedir(int dirdesc)

Position the position pointer for this directory descriptor. Returns -1 on error.
int rewinddir(int dirdesc)Sets our NetBIOS name (ASCIIZ)

Copyright © Nicolas Brodu, 1999 - 2000